#version 130

uniform int isEyeInWater;

varying vec2 TexCoords;
varying vec2 LightmapCoords;
varying vec3 Normal;
varying vec4 Color;

uniform sampler2D texture;

void main()
{
	vec3 ac = vec3(0.8, 0.85, 0.95);
	vec4 albedo = texture2D(texture, TexCoords) * Color * vec4(ac, 1);

    float fog = (isEyeInWater > 0) ? 1.0 - exp(-gl_FogFragCoord * gl_Fog.density):
    clamp((gl_FogFragCoord-gl_Fog.start) * gl_Fog.scale, 0.0, 1.0);

    if(gl_Fog.color.rgb != vec3(0, 0, 0))
	{
	   //albedo.rgb = mix(albedo.rgb, normalize(gl_Fog.color.rgb), fog);
	}
	
	/* DRAWBUFFERS:012 */
    gl_FragData[0] = albedo;
	gl_FragData[1] = vec4(Normal * 0.5f + 0.5f, 1.0f);
    gl_FragData[2] = vec4(vec3(LightmapCoords, 0), 1);
}
